
From: maximilian attems <janitor@sternwelten.at>

Fix elsa section references:
  convert __initdata to __devinitdata.

Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003d28 R_386_32
.init.data
Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003d37 R_386_32
.init.data
Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003d56 R_386_32
.init.data
Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003d77 R_386_32
.init.data
Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003ddb R_386_32
.init.data
Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003e0e R_386_32
.init.data
Error: ./drivers/isdn/hisax/elsa.o .text refers to 00003e20 R_386_32
.init.data

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/elsa.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/isdn/hisax/elsa.c~elsa-eliminate-bad-section-references drivers/isdn/hisax/elsa.c
--- 25/drivers/isdn/hisax/elsa.c~elsa-eliminate-bad-section-references	Mon Mar 14 15:27:54 2005
+++ 25-akpm/drivers/isdn/hisax/elsa.c	Mon Mar 14 15:27:54 2005
@@ -838,7 +838,7 @@ static 	struct pci_dev *dev_qs1000 __dev
 static 	struct pci_dev *dev_qs3000 __devinitdata = NULL;
 
 #ifdef __ISAPNP__
-static struct isapnp_device_id elsa_ids[] __initdata = {
+static struct isapnp_device_id elsa_ids[] __devinitdata = {
 	{ ISAPNP_VENDOR('E', 'L', 'S'), ISAPNP_FUNCTION(0x0133),
 	  ISAPNP_VENDOR('E', 'L', 'S'), ISAPNP_FUNCTION(0x0133), 
 	  (unsigned long) "Elsa QS1000" },
@@ -848,7 +848,7 @@ static struct isapnp_device_id elsa_ids[
 	{ 0, }
 };
 
-static struct isapnp_device_id *ipid __initdata = &elsa_ids[0];
+static struct isapnp_device_id *ipid __devinitdata = &elsa_ids[0];
 static struct pnp_card *pnp_c __devinitdata = NULL;
 #endif
 
_
